Skip to content
Navigation

Pages the revocations of customers' access for cause, of one customer or one order when named, with each one's refund.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/revocations

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • customer
    optional
    string

    An id.

    minLength: 1
  • order
    optional
    string

    An id.

    minLength: 1
  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • facets
    optional
    array of
    string

Returns

200

Pages the revocations of customers' access for cause, of one customer or one order when named, with each one's refund.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • customer_id
      string
      required
    • order_id
      required

      One of the following:

      • string
      • null
    • grant_id
      required

      One of the following:

      • string
      • null
    • product_ids
      array of
      string
      required
    • cause
      string
      required
    • note
      required

      One of the following:

      • string
      • null
    • message
      required

      One of the following:

      • string
      • null
    • refund
      required

      One of the following:

      • object
      • null
    • revoked_by
      required

      One of the following:

      • string
      • null
    • token_id
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close